<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс ResizeArea</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classResizeArea-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс ResizeArea</div>  </div>
</div><!--header-->
<div class="contents">

<p>Группа областей мыши для изменения положения и размера окна  
 <a href="classResizeArea.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:ResizeArea:</div>
<div class="dyncontent">
<div class="center"><img src="classResizeArea__inherit__graph.png" border="0" usemap="#ResizeArea_inherit__map" alt="Inheritance graph"/></div>
<map name="ResizeArea_inherit__map" id="ResizeArea_inherit__map">
<area shape="rect" title="Группа областей мыши для изменения положения и размера окна" alt="" coords="5,80,100,107"/>
<area shape="rect" title=" " alt="" coords="27,5,79,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса ResizeArea:</div>
<div class="dyncontent">
<div class="center"><img src="classResizeArea__coll__graph.png" border="0" usemap="#ResizeArea_coll__map" alt="Collaboration graph"/></div>
<map name="ResizeArea_coll__map" id="ResizeArea_coll__map">
<area shape="rect" title="Группа областей мыши для изменения положения и размера окна" alt="" coords="5,80,100,107"/>
<area shape="rect" title=" " alt="" coords="27,5,79,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:ab0db381ac7e133ebbcf3fd29cbd99823"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#ab0db381ac7e133ebbcf3fd29cbd99823">top_area_resize</a> (<a class="el" href="classResizeArea.html#ac5e2c390095efba26d787c5d7ceb6931">previousY</a>, mouseY)</td></tr>
<tr class="memdesc:ab0db381ac7e133ebbcf3fd29cbd99823"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция изменения размера окна в направлении вверх  <a href="classResizeArea.html#ab0db381ac7e133ebbcf3fd29cbd99823">Подробнее...</a><br /></td></tr>
<tr class="separator:ab0db381ac7e133ebbcf3fd29cbd99823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9205a3aaf0daf9e94339d80a09aa5b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#a3a9205a3aaf0daf9e94339d80a09aa5b">bottom_area_resize</a> (<a class="el" href="classResizeArea.html#ac5e2c390095efba26d787c5d7ceb6931">previousY</a>, mouseY)</td></tr>
<tr class="memdesc:a3a9205a3aaf0daf9e94339d80a09aa5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция изменения размера окна в направлении вниз  <a href="classResizeArea.html#a3a9205a3aaf0daf9e94339d80a09aa5b">Подробнее...</a><br /></td></tr>
<tr class="separator:a3a9205a3aaf0daf9e94339d80a09aa5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2393f05162be0d3db830ff8fcfaf25a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#ae2393f05162be0d3db830ff8fcfaf25a">left_area_resize</a> (<a class="el" href="classResizeArea.html#a8ca0903f218c2f34c00b6bc3eedb2821">previousX</a>, mouseX)</td></tr>
<tr class="memdesc:ae2393f05162be0d3db830ff8fcfaf25a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция изменения размера окна в направлении влево  <a href="classResizeArea.html#ae2393f05162be0d3db830ff8fcfaf25a">Подробнее...</a><br /></td></tr>
<tr class="separator:ae2393f05162be0d3db830ff8fcfaf25a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54784e09f12d5da2fcfde97848fc139f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#a54784e09f12d5da2fcfde97848fc139f">right_area_resize</a> (<a class="el" href="classResizeArea.html#a8ca0903f218c2f34c00b6bc3eedb2821">previousX</a>, mouseX)</td></tr>
<tr class="memdesc:a54784e09f12d5da2fcfde97848fc139f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция изменения размера окна в направлении вправо  <a href="classResizeArea.html#a54784e09f12d5da2fcfde97848fc139f">Подробнее...</a><br /></td></tr>
<tr class="separator:a54784e09f12d5da2fcfde97848fc139f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a5de4ad2a345df8bf56511492385dc1ad"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#a5de4ad2a345df8bf56511492385dc1ad">window_id</a></td></tr>
<tr class="memdesc:a5de4ad2a345df8bf56511492385dc1ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">id окна для изменения его размеров  <a href="classResizeArea.html#a5de4ad2a345df8bf56511492385dc1ad">Подробнее...</a><br /></td></tr>
<tr class="separator:a5de4ad2a345df8bf56511492385dc1ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ca0903f218c2f34c00b6bc3eedb2821"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#a8ca0903f218c2f34c00b6bc3eedb2821">previousX</a></td></tr>
<tr class="memdesc:a8ca0903f218c2f34c00b6bc3eedb2821"><td class="mdescLeft">&#160;</td><td class="mdescRight">Координата X до перемещения курсора  <a href="classResizeArea.html#a8ca0903f218c2f34c00b6bc3eedb2821">Подробнее...</a><br /></td></tr>
<tr class="separator:a8ca0903f218c2f34c00b6bc3eedb2821"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e2c390095efba26d787c5d7ceb6931"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#ac5e2c390095efba26d787c5d7ceb6931">previousY</a></td></tr>
<tr class="memdesc:ac5e2c390095efba26d787c5d7ceb6931"><td class="mdescLeft">&#160;</td><td class="mdescRight">Координата Y до перемещения курсора  <a href="classResizeArea.html#ac5e2c390095efba26d787c5d7ceb6931">Подробнее...</a><br /></td></tr>
<tr class="separator:ac5e2c390095efba26d787c5d7ceb6931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f271a3748d1ab059cdc6d3cb8c7b8c"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#a56f271a3748d1ab059cdc6d3cb8c7b8c">dy</a></td></tr>
<tr class="memdesc:a56f271a3748d1ab059cdc6d3cb8c7b8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение положения мыши по оси Y.  <a href="classResizeArea.html#a56f271a3748d1ab059cdc6d3cb8c7b8c">Подробнее...</a><br /></td></tr>
<tr class="separator:a56f271a3748d1ab059cdc6d3cb8c7b8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a086f793e2cb45068f9b57ca1ee48f071"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResizeArea.html#a086f793e2cb45068f9b57ca1ee48f071">dx</a></td></tr>
<tr class="memdesc:a086f793e2cb45068f9b57ca1ee48f071"><td class="mdescLeft">&#160;</td><td class="mdescRight">Изменение положения мыши по оси X.  <a href="classResizeArea.html#a086f793e2cb45068f9b57ca1ee48f071">Подробнее...</a><br /></td></tr>
<tr class="separator:a086f793e2cb45068f9b57ca1ee48f071"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Группа областей мыши для изменения положения и размера окна </p>

<p class="definition">См. определение в файле <a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a> строка <a class="el" href="ResizeArea_8qml_source.html#l00011">11</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a3a9205a3aaf0daf9e94339d80a09aa5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a9205a3aaf0daf9e94339d80a09aa5b">&#9670;&nbsp;</a></span>bottom_area_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ResizeArea::bottom_area_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classResizeArea.html#ac5e2c390095efba26d787c5d7ceb6931">previousY</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mouseY&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция изменения размера окна в направлении вниз </p>

</div>
</div>
<a id="ae2393f05162be0d3db830ff8fcfaf25a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2393f05162be0d3db830ff8fcfaf25a">&#9670;&nbsp;</a></span>left_area_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ResizeArea::left_area_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classResizeArea.html#a8ca0903f218c2f34c00b6bc3eedb2821">previousX</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mouseX&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция изменения размера окна в направлении влево </p>

</div>
</div>
<a id="a54784e09f12d5da2fcfde97848fc139f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54784e09f12d5da2fcfde97848fc139f">&#9670;&nbsp;</a></span>right_area_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ResizeArea::right_area_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classResizeArea.html#a8ca0903f218c2f34c00b6bc3eedb2821">previousX</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mouseX&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция изменения размера окна в направлении вправо </p>

</div>
</div>
<a id="ab0db381ac7e133ebbcf3fd29cbd99823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0db381ac7e133ebbcf3fd29cbd99823">&#9670;&nbsp;</a></span>top_area_resize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ResizeArea::top_area_resize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classResizeArea.html#ac5e2c390095efba26d787c5d7ceb6931">previousY</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">mouseY&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция изменения размера окна в направлении вверх </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a086f793e2cb45068f9b57ca1ee48f071"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a086f793e2cb45068f9b57ca1ee48f071">&#9670;&nbsp;</a></span>dx</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ResizeArea::dx</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Изменение положения мыши по оси X. </p>

<p class="definition">См. определение в файле <a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a> строка <a class="el" href="ResizeArea_8qml_source.html#l00022">22</a></p>

</div>
</div>
<a id="a56f271a3748d1ab059cdc6d3cb8c7b8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56f271a3748d1ab059cdc6d3cb8c7b8c">&#9670;&nbsp;</a></span>dy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ResizeArea::dy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Изменение положения мыши по оси Y. </p>

<p class="definition">См. определение в файле <a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a> строка <a class="el" href="ResizeArea_8qml_source.html#l00020">20</a></p>

</div>
</div>
<a id="a8ca0903f218c2f34c00b6bc3eedb2821"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ca0903f218c2f34c00b6bc3eedb2821">&#9670;&nbsp;</a></span>previousX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ResizeArea::previousX</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Координата X до перемещения курсора </p>

<p class="definition">См. определение в файле <a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a> строка <a class="el" href="ResizeArea_8qml_source.html#l00016">16</a></p>

</div>
</div>
<a id="ac5e2c390095efba26d787c5d7ceb6931"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5e2c390095efba26d787c5d7ceb6931">&#9670;&nbsp;</a></span>previousY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ResizeArea::previousY</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Координата Y до перемещения курсора </p>

<p class="definition">См. определение в файле <a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a> строка <a class="el" href="ResizeArea_8qml_source.html#l00018">18</a></p>

</div>
</div>
<a id="a5de4ad2a345df8bf56511492385dc1ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5de4ad2a345df8bf56511492385dc1ad">&#9670;&nbsp;</a></span>window_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ResizeArea::window_id</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>id окна для изменения его размеров </p>

<p class="definition">См. определение в файле <a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a> строка <a class="el" href="ResizeArea_8qml_source.html#l00014">14</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="ResizeArea_8qml_source.html">ResizeArea.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
